4Suite™ API Documentation

# ► Module Ft.Server.Server.Drivers.Postgres.PostgresContainer

Classes: PostgresContainer |  |  |  | Fields: FTSERVER_NAMESPACE, FTSS_CONTAIMENT_TABLE, XLINK_NAMESPACE

## Classes

class PostgresContainer(Ft.Server.Server.Drivers.FtssDriver.DataStoreContainer)
Implements simple containment as a table in Postgres:
parent / child
------------------
/parent1 | child1
/parent2 | child2

### Methods

__init__(self, db)
Used if instanciated directly in order to do initialization
fetchChildren(self, parent)
Returns a list of child uris for the given parent. Parent is a PathImp
initialize(self)
Initialize the table
manageChildren(self, parent, child, add=True)
Adds/remove the child specified by the given path to the parent (path - a PathImp)

### Methods inherited from class Ft.Server.Server.Drivers.FtssDriver.DataStoreContainer

childReferenceXML, createContainer, deleteContainer

## Fields

FTSERVER_NAMESPACE = 'http://xmlns.4suite.org/reserved'
FTSS_CONTAIMENT_TABLE = 'ftss_containment'
XLINK_NAMESPACE = u'http://www.w3.org/1999/xlink'